PATCH/ locations

Method

PATCH

Resource Information

Requires authentication?YES
Request formatsJSON
Response formatsJSON

Parameters

ParameterLabelDescriptionTypeMax LengthRequired
idGuardian system generated unique keyintN/A
nameNameLocation’s namestring80No
numberLocation No.Location’s numberstring15No
everifyLocationE-VerifyLocation’s E-Verify status; When false, E-Verify is enabled for the locationinvert_boolN/ANo
legalEntityLegal Entity (EIN) to which the location reportsintN/ANo
overrideMinEmploymentAgeUtilize the override function if this location’s minimum age requirement differs from the default minimum age requirement set at the organization levelboolN/ANo
minEmploymentAgeLocation Employee Min AgeDefines location’s minimum age requirementintN/ANo
overrideWorkdaysUtilize the override function if this location’s days of operation differ from the default work days set at the organization level.boolN/ANo
workMondayMondayDefines if location is open MondaysboolN/ANo
workTuesdayTuesdayDefines if location is open TuesdaysboolN/ANo
workWednesdayWednesdayDefines if location is open WednesdaysboolN/ANo
workThursdayThursdayDefines if location is open ThursdaysboolN/ANo
workFridayFridayDefines if location is open FridaysboolN/ANo
workSaturdaySaturdayDefines if location is open SaturdaysboolN/ANo
workSundaySundayDefines if location is open SundaysboolN/ANo
workHolidaysFederal HolidaysDefines if location is open federal holidaysboolN/ANo
addressStreetLine 1Physical street addressstring80No
addressStreet2Line 2Physical street addressstring80No
addressCityCityCity addressstring50No
addressStateStateState addressstring20No
addressCountryCountryCountry addressstring50No
addressZipZipZip code addressstring10No
phoneNumberPhoneMain phone numberstringN/ANo
faxNumberFaxFax numberstringN/ANo

Example

Request Example

PATCH https://<server>/v1/locations/<location_id>

{
 ""name"": ""4917-06211-Fresno-5501 Golden State Blvd"",
 ""addressCity"": ""Phoenix"",
 ""addressZip"": ""85012""
}

Response Example

{
 ""id"": 10714,
 ""name"": ""4917-06211-Fresno-5501 Golden State Blvd"",
 ""phoneExtension"": """",
 ""workWednesday"": """",
 ""legalEntity"": """",
 ""number"": """",
 ""faxNumber"": """",
 ""minEmploymentAge"": """",
 ""workMonday"": """",
 ""overrideMinEmploymentAge"": """",
 ""workFriday"": """",
 ""addressCountry"": """",
 ""addressStreet"": ""3112 N. Central Ave"",
 ""workTuesday"": """",
 ""phoneNumber"": """",
 ""workHolidays"": """",
 ""workThursday"": """",
 ""addressCity"": ""Phoenix"",
 ""workSunday"": """",
 ""workSaturday"": """",
 ""addressState"": """",
 ""addressStreet2"": ""Suite A-200 "",
 ""everifyLocation"": true,
 ""overrideWorkdays"": """",
 ""addressZip"": ""85012"",
 ""links"": [
 {
 ""href"": ""/v1/locations/18714/"",
 ""rel"": ""self""
 }
 ]
}